import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;

public class Stdout {

    // Send trace messages to this object. The argument to the
    // constructor is a "subsystem". Each subsystem's tracing can be
    // controlled independently.
    static private Trace tr = new Trace("Stdout");

    public static void main(String[] args) {
        // Trace defaults are overriden at launch time by passing in
        // properties. 
        Properties p = new Properties();
        // The log file should go to standard output.
        p.setProperty("TraceLog_name", "-");
        TraceController.start(p); 

        System.out.println("This is a normal message to standard output.");
        // Let's announce that this subsystem has been started.
        tr.worldm("Stdout subsystem starts.");
        System.out.println("This is another normal message to standard output.");
    }
}


