import com.visibleworkings.trace.TraceLogList;
import com.visibleworkings.trace.TraceParsedMessage;
import java.io.File;
import java.util.List;
import java.util.Iterator;

public class BasicCheck extends LogChecker {

    public static void main(String[] args) {
        pushContext("... checking Basic results.");
        File cwd = new File(System.getProperty("user.dir"));

        TraceLogList list = openLogs(cwd, "Tracelog");
        assertNumLogs(list, 1);

        List msgs = logMessages(list);
        assertNumMessages(msgs, 11);

        assertValues((TraceParsedMessage) msgs.get(0),
            "Basic.main", "Basic.java", "15", "WLD",
            "Basic", "Basic subsystem starts. Messages at different levels will be printed.");
        assertValues((TraceParsedMessage) msgs.get(1),
            "LevelPrinter.printMessages", "Basic.java", "43", "ERR",
            "Basic", "Here is a trace message at the ERROR level.");
        assertValues((TraceParsedMessage) msgs.get(2),
            "LevelPrinter.printMessages", "Basic.java", "44", "WRN",
            "Basic", "Here is a trace message at the WARNING level.");
        assertValues((TraceParsedMessage) msgs.get(3),
            "LevelPrinter.printMessages", "Basic.java", "45", "WLD",
            "Basic", "Here is a trace message at the WORLD level.");

        assertValues((TraceParsedMessage) msgs.get(4),
            "Basic.main", "Basic.java", "27", "WLD",
            "Basic", "Let's set the threshold down to DEBUG.");


        assertValues((TraceParsedMessage) msgs.get(5),
            "LevelPrinter.printMessages", "Basic.java", "43", "ERR",
            "Basic", "Here is a trace message at the ERROR level.");
        assertValues((TraceParsedMessage) msgs.get(6),
            "LevelPrinter.printMessages", "Basic.java", "44", "WRN",
            "Basic", "Here is a trace message at the WARNING level.");
        assertValues((TraceParsedMessage) msgs.get(7),
            "LevelPrinter.printMessages", "Basic.java", "45", "WLD",
            "Basic", "Here is a trace message at the WORLD level.");
        assertValues((TraceParsedMessage) msgs.get(8),
            "LevelPrinter.printMessages", "Basic.java", "46", "USE",
            "Basic", "This USAGE message is normally at too low a level to appear in the log.");
        assertValues((TraceParsedMessage) msgs.get(9),
            "LevelPrinter.printMessages", "Basic.java", "47", "EVN",
            "Basic", "This EVENT message is normally at too low a level to appear in the log.");
        assertValues((TraceParsedMessage) msgs.get(10),
            "LevelPrinter.printMessages", "Basic.java", "48", "DBG",
            "Basic", "This DEBUG message is normally at too low a level to appear in the log.");

        popContext();
        success();
    }

}
