import com.visibleworkings.trace.TraceLogList;
import com.visibleworkings.trace.TraceParsedMessage;
import java.io.File;
import java.util.List;
import java.util.Iterator;

public class MultipleCheck extends LogChecker {

    public static void main(String[] args) {
        pushContext("... checking Multiple results.");
        File cwd = new File(System.getProperty("user.dir"));

        TraceLogList list = openLogs(cwd, "TraceMultiple");
        assert(list.size() > 10, "Should be many TraceMultiple logs.");

        assertLogName(list, 0, "TraceMultiple.000.txt");
        assertLastLogName(list, "TraceMultiple.txt");

        List msgs = logMessages(list);
        assert(msgs.size() > 1000, "Should be 1000 messages + some from the trace subsystem"); 
    
        assertValues((TraceParsedMessage) msgs.get(0),
            "Multiple.main", "Multiple.java", "30", "WLD",
            "Multiple", "Hello, traceworld : 0");

        popContext();
        success();
    }

}
