import com.visibleworkings.trace.TraceLogList;
import com.visibleworkings.trace.TraceParsedMessage;
import java.io.File;
import java.util.List;
import java.util.Iterator;

public class OneCheck extends LogChecker {

    public static void main(String[] args) {
        pushContext("... checking One results.");
        File cwd = new File(System.getProperty("user.dir"));

        TraceLogList list = openLogs(cwd, "TraceOne");
        assertNumLogs(list, 2);
        assertLogName(list, 0, "TraceOne.000.txt");
        assertLogName(list, 1, "TraceOne.txt");

        List msgs = logMessages(list);
        assert(msgs.size()>90, "Should be many messages in two logs.");

        assertValues((TraceParsedMessage) msgs.get(0),
            null, null, null, "WLD",
            "trace", "This is a continuation of a previous log.");
        assertValues((TraceParsedMessage) msgs.get(1),
            "One.main", "One.java", "27", "WLD",
            "One", "Message : 912");
        // The exact number of the message doesn't matter much. What
        // we're really checking is that the first message in the log
        // is one of the later trace messages. Earlier ones have been
        // thrown away.

        popContext();
        success();
    }

}
