import com.visibleworkings.trace.TraceLogList;
import com.visibleworkings.trace.TraceParsedMessage;
import java.io.File;
import java.util.List;
import java.util.Iterator;

public class StdoutCheck extends LogChecker {

    public static void main(String[] args) {
        pushContext("... checking Stdout results.");
        File cwd = new File(System.getProperty("user.dir"));

        TraceLogList list = openLogs(cwd, "Stdoutlog");
        assertNumLogs(list, 1);

        List msgs = logMessages(list);
        assertNumMessages(msgs, 1);

        assertValues((TraceParsedMessage) msgs.get(0),
            "Stdout.main", "Stdout.java", "22", "WLD",
            "Stdout", "Stdout subsystem starts.");

        popContext();
        success();
    }

}
