import com.visibleworkings.trace.TraceLogList;
import com.visibleworkings.trace.TraceParsedMessage;
import java.io.File;
import java.util.List;
import java.util.Iterator;

public class StompCheck extends LogChecker {

    public static void main(String[] args) {
        pushContext("... checking Stomp results.");
        File cwd = new File(System.getProperty("user.dir"));

        TraceLogList list = openLogs(cwd, "TraceStomp");
        // Two backups.
        assertNumLogs(list, 3);

        List msgs = logMessages(list);
        // First log is empty; one message in each of the others
        assertNumMessages(msgs, 2);

        TraceParsedMessage firstMsg = (TraceParsedMessage) msgs.get(0);
        TraceParsedMessage secondMsg = (TraceParsedMessage) msgs.get(1);

        assertValues(firstMsg,
            "Stomp.main", "Stomp.java", "30", "WLD",
            "Stomp", "Subsystem starts.");

        assertValues(secondMsg,
            "Stomp.main", "Stomp.java", "30", "WLD",
            "Stomp", "Subsystem starts.");

        assert(firstMsg.olderThan(secondMsg), "Older log contains newer message. Logs may be in wrong order.");

        popContext();
        success();
    }

}
