import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;

public class Threadzilla extends Thread {

    static private Trace tr1 = new Trace("subsystem1");
    static private Trace tr2 = new Trace("subsystem2");

    private Trace myTrace; // which of the above two to use.

    Threadzilla(Trace aTrace) {
        myTrace = aTrace;
    }

    public void run() {
        for (int i = 0; i < 1000; i++) { 
            myTrace.worldm("hello, world. I am on iteration " + i, this);
        }
    }

    public static void main(String[] args) {
        // This is how you start the tracing system.
        // We'll record a fair amount of detail about our subsystem. 
        Properties p = new Properties();
        p.setProperty("TraceLog_thread1", "world");
        p.setProperty("TraceLog_thread2", "world");
        p.setProperty("TraceLog_timestamp", "true");
        p.setProperty("TraceLog_size", "5000");
        p.setProperty("TraceLog_tag", "Zillalog");
        TraceController.start(p);

        for (int i = 0; i < 4; i++) {
            new Threadzilla(tr1).start();
            new Threadzilla(tr2).start();
        }
    }
}
