import com.visibleworkings.trace.TraceLogList;
import com.visibleworkings.trace.TraceParsedMessage;
import java.io.File;
import java.util.List;
import java.util.Iterator;

public class ThreadzillaCheck extends LogChecker {

    public static void main(String[] args) {
        pushContext("... checking Threadzilla results.");
        File cwd = new File(System.getProperty("user.dir"));

        TraceLogList list = openLogs(cwd, "Zillalog");
        assertNumLogs(list, 236);

        List msgs = logMessages(list);
        assertNumMessages(msgs, 8470);

        Iterator it = msgs.iterator();
        while (it.hasNext()) {
            TraceParsedMessage pm = (TraceParsedMessage)it.next();
            pushContext(pm.original);
            assert(pm.isRecent(), "The date looks too old. Make sure you just created the logs.");
            assert(pm.subsystem.equals("trace") || 
                     pm.subsystem.equals("subsystem1") || 
                     pm.subsystem.equals("subsystem2"),
                  "Unknown subsystem: " + pm.subsystem);
            if (pm.subsystem.equals("subsystem1") || pm.subsystem.equals("subsystem2")) {
                assertValues(pm, "Threadzilla.run", "Threadzilla.java", "18", "WLD",
                             pm.subsystem, null);
                assert(pm.message.startsWith("hello, world. I am on iteration "),
                      "Broken message: " + pm.message);
            }
            popContext();
        }
        
        popContext();
        success();
    }

}
